<id>
Search Only New
</id>

<version>
beta 1.0
</version>

<mod info>
This mod gives users the option of searching only the new unread posts.

Installation
---------------------------
- Mod your the files (Search.pl & ModList.pl) and upload in ASCII.
- Upload the language file in ASCII


History
-----------

ver 1.0 - Original Update
</mod info>

<author>
astro-pilot
</author>

<homepage>

</homepage>

<edit file>
Sources/Search.pl
</edit file>

<search for>
	$yymain .= qq~
          <select multiple="multiple" name="searchboards" size="5" onchange="selectnum();">
</search for>

<add before>
	### Search Only New mod ###
	LoadLanguage("Search_Only_New");
	$search_only_new = qq(</tr><tr><td class="windowbg"><b>$search_only_new_txt{'1'}</b></td><td class="windowbg2"><input type="checkbox" name="search_only_new" id="search_only_new" /></td>);
	### Search Only New mod end ###

</add before>

<search for>
        </td>
	</tr><tr>
        <td class="windowbg"><b>$search_txt{'1'}</b></td>
</search for>

<replace>
        </td>$search_only_new <!-- Search Only New Mod -->
	</tr><tr>
        <td class="windowbg"><b>$search_txt{'1'}</b></td>
</replace>

<search for>
		fopen(FILE, "$boardsdir/$curboard.txt") || next;
		@threads = <FILE>;
		fclose(FILE);
</search for>

<add after>
		&getlog(@threads); ### Search Only New mod ###
</add after>

<search for>
			$ttime = $tdate;
			unless ($ttime > $maxtime) { next threadcheck; }
			fopen(FILE, "$datadir/$tnum.txt") || next;
</search for>

<add before>
			### Search Only New mod ###
			if ($FORM{'search_only_new'}) {
				$dlp  = $yyuserlog{$tnum} ? $yyuserlog{$tnum} : 0;
				if ($dlp != 0 && $dlp > $tdate) {next threadcheck;}
			}
			### Search Only New mod end ###
</add before>

<search for>
				($msub, $mname, $memail, $mdate, $musername, $micon, $mattach, $mip, $message, $mns) = split(/\|/, $curpost);
</search for>

<add after>
				if ($FORM{'search_only_new'} && $dlp != 0 && $dlp > $mdate){next postcheck;} ### Search Only New mod ###
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$search_new_only_mod = "Search New Only beta 1.0 YaBB2|astro-pilot|This mod gives users the option of searching only the new unread posts.|1.0|10/13/05";
	push (@installed_mods, "$search_new_only_mod");
</add before>